html {
  position: relative;
  min-height: 100%;
}

body {
  margin: 0;
  padding: 0 0 60px;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  font-family: 'Roboto', 'Noto Sans TC', 'Helvetica Neue', Helvetica, Arial, 'PingFang TC', 'Hiragino Sans GB', 'Heiti TC', '微軟正黑體', 'Microsoft JhengHei', sans-serif;
  position: relative;
}

.container-fluid {
  position: sticky;
  top: 0;
  z-index: 1;
  width: 100%;
}

.banner {
  text-align: center;
  margin: 0 auto;
  max-width: 100%;
}

.menu-item {
  background-color: #b0e6fd;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  padding: 0;
}

.menu-item.active,
.menu-item:hover {
  background-color:#60c2ff ;
}

.menu-item a {
  text-decoration: none;
  color: #000;
  font-weight: bold;
  height: 50px;
  line-height: 50px;
  width: 100%;
}


.btn-custom {
  font-size: 20px;
  font-weight: bold;
  border-radius: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
}

.btn-color {
  background-color: #EDDEA4;
  color: #000;
}

.btn-color2 {
  background-color: #f0cf4d;
  color: #000;
}

.btn-color:hover {
  background-color: #F7A072;
}

.btn-color2:hover {
  background-color: #f5874d;
}

.btn-item {
  border-radius: 5px;
  background-color: white;
  color: black;
  border: none;
  cursor: pointer;
}

.btn-item:not(:disabled):hover,
.btn-item:not(:disabled):active,
.btn-item.active {
  background-color: black;
  color: white;
}

.btn-item:not(.active):disabled {
  opacity: .35;
  background-color: gray;
  color: #ccc;
}

.btn-item:focus {
  outline: none;
}

.btn-link {
  display: inline-block;
  border-radius: 5px;
  background-color: #f29080;
  color: black;
  text-decoration: none;
  margin: 5px;
  padding: 5px 10px 5px 10px;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
  height: 50px;

}

.btn-link:hover,
.btn-link:active {
  color: white;
  text-decoration: none;
  background-color: #f29080;
}

.btn-link:focus {
  outline: none;
  text-decoration: none;
}

body > footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 60px;
  line-height: 60px;
  background-color: #60c2ff;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: center;
  align-items: center;
  color: #000;
}

.footer-logo {
  height: 50px;
  margin: 0 auto;
  display: block;
  text-align: center;
}


.form-ipt {
  height: 50px !important;
  font-size: 14px;
}

.form-group.row > div[class^="col-"] {
  padding: 0 5px;
}

@media (min-width: 576px) {
  .container-fluid .row {
    max-width: 500px;
    margin: 0 auto;
  }

  .banner,
  .container,
  footer {
    max-width: 500px;
  }
}

.modal-mask {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, .5);
  z-index: 1050;
  display: flex;
}

.modal-wrapper {
  align-self: center !important;
  margin: 0 auto;
  background: #fff;
  padding: 5px;
  border-radius: 5px;
  width: 360px;
  transition: opacity 10s linear;
}

.modal-fade-enter,
.modal-fade-leave-to {
  opacity: 0;
}

.modal-fade-enter-active,
.modal-fade-leave-active {
  transition: opacity .3s linear;
}

.form-ipt.mx-datepicker {
  width: 100%;
}

.form-ipt.mx-datepicker .mx-input {
  padding: 24px 10px;
}


.icon-smap {
  display: inline-block;
  width: 35px;
  padding-top: 0px;
  padding-bottom: 0px;
  margin: auto;
}

.calcLab { position: relative; }

.calcTab {
  position: absolute; z-index: 99;
  top: 100%; right: 0; width: 80vw; max-width: 320px;
  background: #fff; border: 1px solid #ccc; border-radius: 5px;
}

.col-day {
  width: calc(100%/7); display: inline-block; text-align: center; padding: 0.5em 0;
}

.calcUrl {
  color: #007bff !important; cursor: pointer;
}

.calcTab button {
  background-color: transparent; border: none;
}

.form-control[readonly] { background-color: transparent; }

.form-control[disabled] { background-color: #e9ecef; }
.form-control.error,.custom-select.error { background-color: #fcc; }

.d-sticky {
    position: sticky; top: 0px; width: 100%; min-height: 50px;
    background: #fff; z-index: 95;
}

.b-calendar-nav {
    justify-content: space-between;
}


.webcam {
  max-width: 470px;
  width: calc(100vw - 30px);
  overflow: hidden;
  position: relative;
}

.camera-notes{
  width: calc(100vw - 30px);
  height: calc(100vw - 30px);
  background-image: url('/images/gs.png');
  background-size: cover;
  max-width: 470px; max-height: 470px;
  z-index: 5; position: relative;
}
